function verifyDiskSpace(dirPath, spaceRequired)
{
 var spaceAvailable;
 spaceAvailable = fileGetDiskSpaceAvailable(dirPath);
 spaceAvailable = parseInt(spaceAvailable / 1024);
 if(spaceAvailable < spaceRequired)
 {
 logComment("Insufficient disk space: " + dirPath);
 logComment("  required : " + spaceRequired + " K");
 logComment("  available: " + spaceAvailable + " K");
 return(false);
 }
 return(true);
}
var srDest = 262;
var err;
var fProgram;
var prettyName = "Greek (el-GR)";
var regName    = "locales/mozilla/el-gr";
var chromeName = "el-gr.jar";
err = initInstall(prettyName, regName, "5.0.0.0000000000");
logComment("initInstall: " + err);
fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);
if (verifyDiskSpace(fProgram, srDest))
{
 err = addDirectory("",
 "5.0.0.0000000000",
 "bin",
 fProgram,
 "",
 true);
 logComment("addDirectory() returned: " + err);
 var cf = getFolder("Chrome");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/el-gr/global/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/el-gr/necko/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/el-gr/communicator/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/el-gr/editor/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/el-gr/navigator/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/el-gr/messenger/");
 if (err == SUCCESS)
 {
 err = performInstall();
 logComment("performInstall() returned: " + err);
 }
 else
 {
 cancelInstall(err);
 logComment("cancelInstall due to error: " + err);
 }
}
else
 cancelInstall(INSUFFICIENT_DISK_SPACE);
